Name: hyphen-bg
Summary: Bulgarian hyphenation rules
Version: 4.3
Release: %mkrel 10
Source: https://downloads.sourceforge.net/bgoffice/OOo-hyph-bg-%{version}.zip
Group: Text tools
URL: http://bgoffice.sourceforge.net/
License: GPLv2+ or LGPLv2+ or MPLv1.1
BuildArch: noarch
Requires: hyphen
Requires: locales-bg

%description
Bulgarian hyphenation rules.

%prep
%setup -q -n OOo-hyph-bg-%{version}

%build
for i in ChangeLog Copyright GPL-2.0.txt LGPL-2.1.txt MPL-1.1.txt README.bulgarian; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-2 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done
echo "UTF-8" > hyph_bg_BG.dic.new
tail -n +2 hyph_bg_BG.dic | iconv -f WINDOWS-1251 -t UTF-8 | tr -d '\r' >> hyph_bg_BG.dic.new
mv hyph_bg_BG.dic.new hyph_bg_BG.dic

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hyphen
cp -p *.dic $RPM_BUILD_ROOT/%{_datadir}/hyphen

%files
%doc ChangeLog Copyright GPL-2.0.txt LGPL-2.1.txt MPL-1.1.txt README.bulgarian
%{_datadir}/hyphen/*


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 4.3-10.mga9
+ Revision: 1801507
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 4.3-9.mga8
+ Revision: 1491343
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 4.3-8.mga7
+ Revision: 1263300
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 4.3-7.mga6
+ Revision: 939794
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.3-6.mga5
+ Revision: 748796
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.3-5.mga5
+ Revision: 680343
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.3-4.mga4
+ Revision: 522998
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 tv <tv> 4.3-3.mga3
+ Revision: 406147
- requires locales-hyphen-bg (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 4.3-2.mga3
+ Revision: 353833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 12 2011 ahmad <ahmad> 4.3-1.mga1
+ Revision: 69842
- fix license
- imported package hyphen-bg


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jun 18 2010 Caolán McNamara <caolanm@redhat.com> - 4.3-1
- latest version

* Sat Apr 17 2010 Caolán McNamara <caolanm@redhat.com> - 4.2-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Caolán McNamara <caolanm@redhat.com> - 4.1-3
- tidy spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Caolán McNamara <caolanm@redhat.com> - 4.1-1
- initial version
